Class UmlView

Declaration :

- C++ : class UmlView : public UmlBaseView
- Java : abstract class UmlView extends UmlBaseView

Directly inherited by : UmlBaseClassView UmlBaseComponentView UmlBaseDeploymentView UmlBaseUseCaseView

Artifact : UmlView

Operation UmlView

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlView(in id : item_id, in s : string) :
- C++ : protected: UmlView(void * id, const QCString & s) : UmlBaseView(id, s)
- Java : protected UmlView(long id, String s)

All public operations : apply , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload